<?php

$inflacion = true;
$bs_ratio = 3.0;

if (($file = fopen("basic_shop_prices.csv", "r")) !== FALSE)
{
	$shop_content = "";
	$data = Array();
	$r = 0;
	while (($csv_row = fgetcsv($file, 1000, ";")) !== FALSE)
	{
		if($csv_row[1] || ($csv_row[2] != 'x'))
		{
			//Item/node;sell_price;buy_price
			$data[$r][0] = $csv_row[0];
			$data[$r][1] = 1;
			// positive price is for buy by player from shop / negative is for selling
			if ( ($csv_row[2] === 'x') && ($csv_row[1] > 0) ) { $data[$r][2] = floatval($csv_row[1])*-1; }
			else
			{
				if ($csv_row[1] > 0) { $data[$r][2] = floatval($csv_row[1])*-1; }
				else { $data[$r][2] = floatval($csv_row[2]); }
			}
			$data[$r][3] = '1000000000000000';
			$data[$r][4] = '"*server*"';
			$data[$r][5] = 1;
			$r+=1;
		}
		if($csv_row[2])
		{
			//Item/node;sell_price;buy_price
			if ($csv_row[1] > 0)
			{
				$data[$r][0] = $csv_row[0];
				$data[$r][1] = 1;
				// positive price is for buy by player from shop / negative is for selling
				if ( ($csv_row[2] === 'x') && ($csv_row[1] > 0) ) { $data[$r][2] = floatval($csv_row[1])*$bs_ratio; } else { $data[$r][2] = floatval($csv_row[1]); }
				$data[$r][3] = '1000000000000000';
				$data[$r][4] = '"*server*"';
				$data[$r][5] = 1;
				$r+=1;
			}
		}
	}
	fclose($file);
	
	//var_dump($data);
	
	$count = count($data);
	$c = 0;
	$shop_content .= ("return {\n");
	foreach($data as $record)
	{
		//Item/node;count;price_per_count;lifespan;owner;quantity
		$shop_content .= ("{\"".$record[0]."\", ".$record[1].", ".$record[2].", ".$record[3].", ".$record[4].", ".$record[5]."}");
		if ($c < $count-1) { $shop_content .= (",\n"); } else { $shop_content .= ("\n"); }
		$c+=1;
	}
	$shop_content .= ("}");
	
	echo(nl2br($shop_content));
	
	file_put_contents("shops.txt", $shop_content);
	
}

?>